<template>
  <div class="paddedDiv">
    <div class="appContainer">
      <div class="textLabel">
        <span>Most popular items</span>
      </div>
      <div class="checkboxLabel">
        <span
          >Please select any of the following food items to be added to your
          order:</span
        >
      </div>
      <div class="orderType">
        <input
          type="checkbox"
          name="cereal"
          value="Cereal"
          class="foodcheckbox"
          @change="send"
          id="cerealCheckbox"
          v-model="checkedFood"
        />
        <label for="cerealCheckbox"> Cereal</label>
      </div>
      <div class="orderType">
        <input
          type="checkbox"
          name="pasta"
          value="Pasta"
          class="foodcheckbox"
          @change="send"
          id="pastaCheckbox"
          v-model="checkedFood"
        />
        <label for="pastaCheckbox"> Pasta</label>
      </div>
      <div class="orderType">
        <input
          type="checkbox"
          name="peanutbutter"
          value="Peanut Butter"
          class="foodcheckbox"
          @change="send"
          id="pbCheckbox"
          v-model="checkedFood"
        />
        <label for="pbCheckbox"> Peanut Butter</label>
      </div>
      <div class="orderType">
        <input
          type="checkbox"
          name="tuna"
          value="Tuna"
          class="foodcheckbox"
          @change="send"
          id="tunaCheckbox"
          v-model="checkedFood"
        />
        <label for="tunaCheckbox"> Tuna</label>
      </div>
      <div class="orderType">
        <input
          type="checkbox"
          name="soup"
          value="Soup"
          class="foodcheckbox"
          @change="send"
          id="soupCheckbox"
          v-model="checkedFood"
        />
        <label for="soupCheckbox"> Soup</label>
      </div>
      <div class="orderType">
        <input
          type="checkbox"
          name="cannedvegetables"
          value="Canned Vegetables"
          class="foodcheckbox"
          @change="send"
          id="vegCheckbox"
          v-model="checkedFood"
        />
        <label for="vegCheckbox"> Canned Vegetables</label>
      </div>
      <div class="orderType">
        <input
          type="checkbox"
          name="cannedfruit"
          value="Canned Fruit"
          class="foodcheckbox"
          @change="send"
          id="fruitCheckbox"
          v-model="checkedFood"
        />
        <label for="fruitCheckbox"> Canned Fruit</label>
      </div>
      <div class="disclaimerLabel">
        <span
          >Note: The availability of Bear Necessities Market is subject to
          change, and therefore your order may contain substitutions.
        </span>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Order",
  data: () => ({
    checkedFood: [],
  }),
  methods: {
    send: function () {
      this.$emit("inputData", this.checkedFood);
    },
  },
};
</script>

<style scoped>
@import "../css/StyledDiv.css";
</style>
